package cn.fastfun.service.entity;


import cn.fastfun.util.ObjectUtil;
import com.bridge.entity.DateEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
import java.util.Map;


@Entity
@Table(name = "app_device")
@Setter
@Getter
@NoArgsConstructor
public class AppDevice extends DateEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "SN号", name = "sn", required = true)
    @Column(name = "sn")
    private String sn;


    @ApiModelProperty(value = "IMEI", name = "imei", required = true)
    @Column(name = "imei")
    private String imei;


    @ApiModelProperty(value = "批次号", name = "batchNum", required = true)
    @Column(name = "batch_num")
    private String batchNum;

    @ApiModelProperty(value = "收货地", name = "received_place", required = true)
    @Column(name = "received_place")
    private String receivedPlace;

    @ApiModelProperty(value = "状态", name = "status", required = true)
    @Column(name = "status")
    private Integer status = 0;

    @ApiModelProperty(value = "操作者", name = "operator", required = true)
    @Column(name = "operator")
    private String operator;

    @ApiModelProperty(value = "发货时间", name = "deliverTime", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Column(name = "deliver_time")
    private Date deliverTime;


    public AppDevice(Map<String, Object> param) {
        setBatchNum(ObjectUtil.obj2String(param.get("pathId")));
        setSn(ObjectUtil.obj2String(param.get("sn")));
        setImei(ObjectUtil.obj2String(param.get("imei")));
        setDeliverTime(ObjectUtil.obj2Date(param.get("deliverTime")));
        setStatus(1);
    }
}
